<?php

namespace App\Entities\Equipment;

use App\Models\Equipment\LineModel;

class LineEntity extends EquipmentEntity
{
    const PK = LineModel::PK;
    protected array $nullableFields = [
        'start_at',
        'end_at',
    ];
    protected $attributes = [
        'title' => '',
        'type' => '',
        'protocol' => '',
        'bandwith' => '',
        'start_at' => null,
        'end_at' => null,
        'status' => '',
        'content' => '',
    ];
    public function __construct(array|null $data = null)
    {
        parent::__construct($data);
    }
    const TITLE = LineModel::TITLE;
    public function getType(): string
    {
        return $this->type ?? '';
    }
    public function getProtocol(): string
    {
        return $this->protocol ?? '';
    }
    public function getBandwith(): string
    {
        return $this->bandwith ?? '';
    }
    public function getStartAt(): string|null
    {
        return $this->start_at ?? null;
    }
    public function getEndAt(): string|null
    {
        return $this->end_at ?? null;
    }
    public function getContent(): string
    {
        return $this->content ?? '';
    }
}
